Skip to content

Create Demand
deprecated

Request

Deprecated. This endpoint is deprecated and will be removed in a future version.

Create a demand scenario for IPNs. You can create demands for both assemblies and single components. If a demand gets created for an assembly, it gets propagated to the assembly's subassemblies and BOM items.

Security
BearerAuth
Headers
Acceptstring(DemandAcceptHeader)required

Set this to application/api.luminovo.demand-v1+json.

Value:"application/api.luminovo.demand-v1+json"
Bodyapplication/jsonrequired
itemsArray of objects(types.demand.v1.DemandCreationRequestItem)required
contextstringrequired

The context field is a string that provides additional information about where the demand originated from or its purpose. It's required for most demand creation requests (except for sourcing scenarios).

POST
/demand/import
curl -i -X POST \
  https://api.luminovo.com/demand/import \
  -H 'Accept: application/api.luminovo.demand-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "items": [
      {
        "type": "gross",
        "internal_part_number": {
          "value": "string",
          "revision": "string"
        },
        "quantity": {
          "quantity": 0.1,
          "unit": "Kg"
        },
        "ship_to_site": "string",
        "supplier": "string",
        "production_start_date": "2019-08-24",
        "delivery_start_date": "2019-08-24",
        "delivery_end_date": "2019-08-24",
        "end_customer": "string"
      }
    ],
    "context": "string"
  }'

Responses

Demands created.